Bug 795267 - [FEAT] "volume status" command should also fetch details of gluster-nfs servers
[FEAT] "volume status" command should also fetch details of gluster-nfs servers
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Kaushal
Vijaykumar Koppad
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-20 00:41 EST by Kaushal
Modified: 2014-08-24 20:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2012-02-20 00:41:47 EST

    
Comment 1 Anand Avati 2012-03-14 05:27:50 EDT
CHANGE: http://review.gluster.com/2820 (cli, glusterd, nfs: "volume status|profile|top" for nfs servers) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Sachin Ghai 2012-05-31 05:08:45 EDT
Verified with latest brew packages:

glusterfs-fuse-3.3.0qa45-1.el6.x86_64
glusterfs-3.3.0qa45-1.el6.x86_64
glusterfs-server-3.3.0qa45-1.el6.x86_64
glusterfs-rdma-3.3.0qa45-1.el6.x86_64
org.apache.hadoop.fs.glusterfs-glusterfs-0.20.2_0.1-1.noarch
glusterfs-geo-replication-3.3.0qa45-1.el6.x86_64

Volume status is showing nfs server detail as 'localhost' as it is hosted on local server. 

[root@dhcp201-154 brick2]# gluster volume status sghai_vol
Status of volume: sghai_vol
Gluster process						Port	Online	Pid
------------------------------------------------------------------------------
Brick dhcp201-154.englab.pnq.redhat.com:/home/brick1	24009	Y	4762
Brick dhcp201-154.englab.pnq.redhat.com:/home/brick2	24010	Y	4768
NFS Server on localhost					38467	Y	4899

few more tests:
================

[root@dhcp201-154 brick2]# gluster volume top sghai_vol open 
Brick: dhcp201-154.englab.pnq.redhat.com:/home/brick1
Current open fds: 0, Max open fds: 0, Max openfd time: 1969-12-31 19:00:00.000000
Brick: dhcp201-154.englab.pnq.redhat.com:/home/brick2
Current open fds: 0, Max open fds: 1, Max openfd time: 2012-05-31 06:56:04.001559
Count		filename
=======================
1		/kk
[root@dhcp201-154 brick2]# gluster volume top sghai_vol opendir 
Brick: dhcp201-154.englab.pnq.redhat.com:/home/brick1
Brick: dhcp201-154.englab.pnq.redhat.com:/home/brick2
[root@dhcp201-154 brick2]# gluster volume top sghai_vol opendir nfs
NFS Server : localhost
[root@dhcp201-154 brick2]# gluster volume top sghai_vol open nfs
NFS Server : localhost
Current open fds: 0, Max open fds: 0, Max openfd time: 1969-12-31 19:00:00.000000
[root@dhcp201-154 brick2]# gluster volume top sghai_vol read-perf nfs
NFS Server : localhost

Note You need to log in before you can comment on or make changes to this bug.